compile problem

Questions, problems and discussion about compiling FreeOrion.
Post Reply
Message
Author
ccla
Krill Swarm
Posts: 12
Joined: Wed Jan 01, 2014 10:02 pm

compile problem

#1 Post by ccla » Sun Apr 10, 2016 8:09 am

Hi,

I'm trying to play on fedora, figure compiling from source is the best way to go.

Are there any build instructions? I tried pulling from github, tried "cmake CMakeLists.txt", but got this:
-- Boost version: 1.55.0
-- Found the following Boost libraries:
-- chrono
-- date_time
-- filesystem
-- signals
-- system
-- thread
-- log
-- Could NOT find JPEG (missing: JPEG_LIBRARY JPEG_INCLUDE_DIR)
-- Could NOT find TIFF (missing: TIFF_LIBRARY TIFF_INCLUDE_DIR)
-- Configuring GiGi
-- Configuring GiGiSDL
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:136 (message):
Could NOT find SDL2 (missing: SDL2_LIBRARY SDL2_INCLUDE_DIR)
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:343 (_FPHSA_FAILURE_MESSAGE)
cmake/FindSDL2.cmake:163 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
GG/src/SDL/CMakeLists.txt:9 (find_package)


-- Configuring incomplete, errors occurred!
See also "/home/auser/freeorion/src-tarball/CMakeFiles/CMakeOutput.log".
See also "/home/auser/freeorion/src-tarball/CMakeFiles/CMakeError.log".


Thanks!

User avatar
adrian_broher
Programmer
Posts: 1072
Joined: Fri Mar 01, 2013 9:52 am
Location: Germany

Re: compile problem

#2 Post by adrian_broher » Sun Apr 10, 2016 8:34 am

Hello ccla,
Are there any build instructions?
The compile instructions are currently located in our wiki at http://www.freeorion.org/index.php/Compile_In_Linux
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:136 (message):
Could NOT find SDL2 (missing: SDL2_LIBRARY SDL2_INCLUDE_DIR)
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:343 (_FPHSA_FAILURE_MESSAGE)
cmake/FindSDL2.cmake:163 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
GG/src/SDL/CMakeLists.txt:9 (find_package)
The log already states that you don't have all required dependencies (here SDL2 and particularly the SDL2 development package) installed.
Resident code gremlin
Attached patches are released under GPL 2.0 or later.
Git author: Marcel Metz

Post Reply